# <a name="POIM-CommonContainers"></a>ASN.1 module POIM-CommonContainers
OID: _{itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) poi(103916) common(99) major-version-1 (1) minor-version-1 (1)}_

## Imports:
* **[ETSI-ITS-CDD](ETSI-ITS-CDD.md)** *{itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) ts (102894) cdd (2) major-version-4 (4) minor-version-1 (1)} WITH SUCCESSORS*<br/>
* **[POIM-PDU-Description](POIM-PDU-Description.md)** *{itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) poi(103916) poim(0) major-version-1 (1) minor-version-1 (1)}*<br/>
## Data Elements:
### <a name="PoiBlockManagementContainer"></a>PoiBlockManagementContainer
This type represents the common management container of the POI Information Blocks. 

 It shall include the following components:

* _serviceProviderId_ of type [**Provider**](ETSI-ITS-CDD.md#Provider) <br>
  identifier of the organization that provided the POI Information Block.

* _blockIdentificationNumber_ of type [**Identifier2B**](ETSI-ITS-CDD.md#Identifier2B) <br>
  identifier of the POI Information Block, as assigned by the organization identified in serviceProviderId.

* _timestamp_ of type [**TimestampIts**](ETSI-ITS-CDD.md#TimestampIts) <br>
  timestamp of the generation or last change of the POI Information Block

* _linkedIvims_ of type [**IvimReferences**](ETSI-ITS-CDD.md#IvimReferences)  OPTIONAL<br>
  the optional list of references to IVIMs that are semantically connected because providing signage information applying to the POI.

* _linkedMapems_ of type [**MapReferences**](ETSI-ITS-CDD.md#MapReferences)  OPTIONAL<br>
* linkedMapem<br>
  the optional list of references to MAPEMs that are semantically connected because providing information applying to the POI.

```asn1
PoiBlockManagementContainer::= SEQUENCE {
	serviceProviderId			Provider, 
	blockIdentificationNumber	Identifier2B,
	timestamp					TimestampIts,
	linkedIvims                 IvimReferences OPTIONAL,
    linkedMapems                MapReferences OPTIONAL,
    ...  
}
```

### <a name="RelatedPoiInfoBlock"></a>RelatedPoiInfoBlock
This type can be used to reference to other related POI Information Blocks. 

 It shall include the following components:

* _poiInfoBlockType_ of type [**PoiType**](POIM-PDU-Description.md#PoiType) <br>
  the type of related POI Information Blocks

* _serviceProviderId_ of type [**Provider**](ETSI-ITS-CDD.md#Provider) <br>
  identifier of the organization that provided the related POI Information Block.

* _blockIdentificationNumber_ of type [**Identifier2B**](ETSI-ITS-CDD.md#Identifier2B) <br>
  identifier of the related POI Information Block, as assigned by the organization identified in serviceProviderId.

* _timestamp_ of type [**TimestampIts**](ETSI-ITS-CDD.md#TimestampIts)  OPTIONAL<br>
  optional timestamp of the generation or last change of the related POI Information Block

```asn1
RelatedPoiInfoBlock::= SEQUENCE{
   poiInfoBlockType             PoiType,
   serviceProviderId			Provider, 
   blockIdentificationNumber	Identifier2B, 
   timestamp					TimestampIts OPTIONAL,
    ...
}
```

### <a name="RelatedPoiInfoBlockContainer"></a>RelatedPoiInfoBlockContainer
This DF shall contain a list of [**RelatedPoiInfoBlock**](#RelatedPoiInfoBlock) and represents a commmon container to refer to other POI Information Blocks.
```asn1
RelatedPoiInfoBlockContainer::= SEQUENCE OF RelatedPoiInfoBlock
```



